// InputController_7432.h: interface for the CInputController_7432 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputControllerBase.h"

class CAdlinkCommon;

class CInputController_7432 : public CInputControllerBase
{
public:
    CInputController_7432();
    virtual ~CInputController_7432();

    // method to initialise the input controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the input controller card
    int CloseCard(int nPhysicalCardID) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
